from django.contrib import admin
from cpds_monitor.models import *

# Register your models here.

class Cpd_admin(admin.ModelAdmin):
    readonly_fields=('created_at','updated_at')
    list_display=('alias','name', 'user','updated_at')
    search_fields=('alias', 'device','user__username')
    date_hierarchy='updated_at'
    def save_model(self, request, obj, form, change):
        obj.user = request.user
        super().save_model(request, obj, form, change)

# class Alarm_Type_admin(admin.ModelAdmin):
#     pass
#     def save_model(self, request, obj, form, change):
#         obj.user = request.user
#         super().save_model(request, obj, form, change)

# class Alarm_admin(admin.ModelAdmin):
#     pass
#     def save_model(self, request, obj, form, change):
#         obj.user = request.user
#         super().save_model(request, obj, form, change)


admin.site.register(Cpd,Cpd_admin)
# admin.site.register(Alarm_Type,Alarm_Type_admin)
# admin.site.register(Alarm,Alarm_admin)