from django.contrib.auth import views as auth_views
from django.contrib import admin
from django.urls import path
from django.conf.urls import url
from django.conf.urls import include
from django.urls import path
from django.conf import settings
from django.views.generic import TemplateView
from cpds_monitor.views import cpd_view
from cpds_monitor.views import views
from django.contrib.auth.decorators import login_required, permission_required


urlpatterns = [
    path('cpds/', login_required(cpd_view.CpdListView.as_view()), name='cpds'),
    path('', views.index, name='index'),

    #Ajax
    path('ajax/get_cpdData/', login_required(cpd_view.getDataTemHum), name='cpdGetDataAjax'),
]