import sys
import paho.mqtt.client as mqtt 
import time 
import gpioUtil as util
import string
import configparser
from datetime import datetime

try:
    try:
    #DATA
        DEFAULT_CONFIR_ROUTE="/root/IOT_SYS/"
        DEFAULT_CONFIR_FILE="config_iot_sys.ini"
    except:
        pass

    try:    
    #CONFIG SYSTEM
        config = configparser.ConfigParser()
        config.read(DEFAULT_CONFIR_ROUTE+DEFAULT_CONFIR_FILE)
    except:
        pass

    try:
    #MQTT CONFIG
        mqtt_server = config['mqtt']['mqtt_server']
        mqtt_port = int(config['mqtt']['mqtt_port'])
        device_id = config['mqtt']['device_id']
        register_time_publish = int(config['mqtt']['register_time_publish'])
        topics_suscribe = config.get("mqtt","topics_suscribe").split(",")    
    except:
        pass

    try:    
        #SENSOR TEMP CONFIG
        #SENSOR CONFIG
        read_temperature = config['sensor']['read_temperature']
        time_publish_temp = config['sensor']['time_publish']
        gpio_tem_pin = config['sensor']['gpio_sensors'] 
    except:
        pass

    try:
        #SENSOR TEMP AND HUMIDITYCONFIG DHT 22
        #SENSOR CONFIG
        read_temperature_dht22 = config['sensorDHT22']['read_temperature']
        read_humidity_dht22 = config['sensorDHT22']['read_humidity']
        time_publish_temp_dht22 = config['sensorDHT22']['time_publish']
        gpio_tem_pin_dht22= config['sensorDHT22']['gpio_sensors'] 
    except:
        pass

    try:
        #INPUT CONFIG
        read_input = int(config['input']['read_input'])
        input_gpio = config.get("input","input_gpio").split(',')
    except:
        pass
except:
    pass