

// client, user and device details
var serverUrl   = "192.168.1.21";    
var clientId    = "my_mqtt_js_client"+Math.random();
var device_name = "navegadorWEB";
var tenant      = "";
var username    = "";
var password    = "";
var subscriptions =[];
var maxTemperatureAlarm =26;
var maxHumidityAlarm =90;


// configure the client 
var client = new Paho.MQTT.Client(serverUrl,8083, clientId);
client.onMessageArrived = onMessageArrived;
client.connect({
        onSuccess:onConnect
        
        //userName: tenant + "/" + username,
        //password: password,
        //onSuccess: createDevice
    });


// send a message
function publish (topic, message, onMessageDeliveredCallback) {
    message = new Paho.MQTT.Message(message);
    message.destinationName = topic;
    message.qos = 0;
    /*undeliveredMessages.push({
        message: message,
        onMessageDeliveredCallback: onMessageDeliveredCallback
    });*/
    client.send(message);
	//location.reload();
}
function onConnect() {
  // Once a connection has been made, make a subscription and send a message.
  for (let i = 0; i < subscriptions.length; i++) {
        client.subscribe(subscriptions[i]+"#")
        //console.log("subscription "+subscriptions[i]+"#"+" ok");
        //publish(subscriptions[i]+"/readoutput/")
    }
    
}



function suscribe(topic){
    subscriptions.push(topic)
}

// called when the client loses its connection
function onConnectionLost(responseObject) {
  if (responseObject.errorCode !== 0) {
    console.log("onConnectionLost:"+responseObject.errorMessage);
  }
}

function changeColorCpd(colorMax, colorMin, temperature ,humidity){
    // try{
    //     var td = document.getElementById("temperatureandhumidity");
    //     if(temperature>maxTemperatureAlarm){
    //         td.style.color = colorMax;
    //     }else if (humidity>maxHumidityAlarm){
    //         td.style.color = colorMax;
    //     }else{
    //         td.style.color = colorMin;
    //     };
    // }catch(error){
    //     console.log(error);
    // }
    
}


function onMessageArrived(message) {
    var res = message.destinationName.split("/");
    var id_device="";
    var topic;
    var temperature, humidity;
    topic=message.destinationName.split("/")[1];
    //console.log("TOPIC -> "+topic+" MENSAJE->"+message.payloadString)
    try{
        try{
            if(message.destinationName.includes("_")){
                id_device=message.destinationName.split("_")[0];
                
            }else{
                id_device=message.destinationName;
            }
        }catch(error){
            console.log("inicio "+error)
        }
        topic=message.destinationName.split("/")[1];
        var htmlInfo = document.getElementById(id_device);

        if(topic == "readdht22"){
            try{
                if(htmlInfo!=null){
                    data= JSON.parse(message.payloadString)
                    temperature=data["temp"];
                    humidity=data["hum"];
                    htmlInfo.innerHTML = temperature+"ºC/"+humidity+"%";                
                    changeColorCpd("#EC4D2A", "#005007",temperature,humidity);
                }
            }catch(error){
                console.log("Error en Readdht22 "+error)
            }
        }else if (topic == "status"){
            try{
                if(htmlInfo!=null){                
                    data= JSON.parse(message.payloadString)                
                    estado=data["status"];
                    salida="";
                    if(estado=="on"){
                        //htmlInfo.classList.add("text-success"); 
                        htmlInfo.classList.add("bg-success","text-white");
                        salida="Ok"
                    }else if(estado=="off"){
                        htmlInfo.classList.add("bg-danger","text-white");
                        salida="Fuera de Línea"
                    }else{
                        htmlInfo.classList.add("bg-danger","text-white");
                        salida="Desconocido"
                    }
                    htmlInfo.innerHTML = salida;
                }
            }catch(error){
                console.log("Error en status "+error)
            }
        }
        else
        {
            if(htmlInfo!=null){
                htmlInfo.innerHTML = message.payloadString;
            }
        }
        var fecha = new Date();
        var calendar = fecha.getDate()+"-"+(fecha.getMonth()+1)+"-"+fecha.getFullYear();
        var hora=fecha.getHours()+":"+fecha.getMinutes()+":"+fecha.getSeconds();
        var documentMomentoDatos = document.getElementById(id_device+"/momentodatos");
        if(documentMomentoDatos!=null){
            documentMomentoDatos.innerHTML = calendar+" "+hora;
        }
    }catch(error){
        console.log(error)
    }
}

	
